Subject: Re: bug#29883: Emacs server not detected in Mac OS High Sierra

From: Tak Kunihiro <[email-masked]>
Date: Thu, 04 Jan 2018 08:03:24 +0900

> On Wed, Jan 03, 2018 at 03:24:15PM +0100, Artemio González López wrote:
>> In fact, my Emacs is the stable 25.3 version downloaded from the
>> Emacs fo Mac OS X page (emacsformacosx.com
>> <http://emacsformacox.com/>). As I said in my previous message,
>> other users of this version are also reporting the same problem I’m
>> having.
>
> My memory of this is that the emacsformacosx.com version uses a ruby
> script to select the correct executable.
>
> Neither Tak nor I can replicate the issue. I’m on Sierra, Tak’s on
> High Sierra, but we both built our own Emacs.

I reproduced this with 25.3.1 of emacsformacosx.com version on macOS
10.13.2 (High Sierra).

  GNU Emacs 25.3.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F1911))
   of 2017-09-13
  
  System Software Overview:
    System Version:	macOS 10.13.2 (17C88)

Artemio, why don't you try to build Emacs.app by `brew'?

  https://www.gnu.org/software/emacs/download.html#macos